E-MailRelay

Classes | Namespaces
gdnsmessage.h File Reference
`#include "gdef.h"`
`#include "gexception.h"`
`#include "gaddress.h"`
`#include <vector>`
`#include <utility>`
`#include <string>`
`#include <map>`

Go to the source code of this file.

## Classes
class | GNet::DnsMessage
| A DNS message parser, with static factory functions for message composition. More...
class | GNet::DnsMessageRecordType
| A static class for mapping between a RR type name, such as "AAAA", and its corresponding numeric value. More...
class | GNet::DnsMessageRR
| Represents DNS response record. More...
class | GNet::DnsMessageQuestion
| Represents DNS question record. More...
class | GNet::DnsMessageNameParser
| An implementation class used by GNet::DnsMessage to parse compressed domain names. More...
class | GNet::DnsMessageRequest
| Represents a DNS query message. More...

## Namespaces
namespace | GNet
| Network classes.